Package org.codehaus.groovy.binding

# Class PropertyPathFullBinding

java.lang.Object
org.codehaus.groovy.binding.AbstractFullBinding
org.codehaus.groovy.binding.PropertyPathFullBinding

All Implemented Interfaces:
  `java.beans.PropertyChangeListener`, `java.util.EventListener`, `BindingUpdatable`, `FullBinding`

    @Deprecated
    public class PropertyPathFullBinding
    extends AbstractFullBinding
    implements java.beans.PropertyChangeListener

Deprecated.
A property path full binding

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.binding.AbstractFullBinding

  `converter, reverseConverter, sourceBinding, targetBinding, validator`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PropertyPathFullBinding()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `bind()` | Deprecated. Causes automatic updating of bound values to be turned on.
  `void` | `propertyChange​(java.beans.PropertyChangeEvent evt)` | Deprecated.
  `void` | `rebind()` | Deprecated. Causes the current bindings to be reset.
  `void` | `unbind()` | Deprecated. Causes automatic updating of bound values to be turned off.

  ### Methods inherited from class org.codehaus.groovy.binding.AbstractFullBinding

  `getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyPathFullBinding

    public PropertyPathFullBinding()
    Deprecated.

- ## Method Details

  - ### bind

    public void bind()
    Deprecated.
    Description copied from interface: `BindingUpdatable`
    Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.
    Specified by:
      `bind` in interface `BindingUpdatable`

  - ### unbind

    public void unbind()
    Deprecated.
    Description copied from interface: `BindingUpdatable`
    Causes automatic updating of bound values to be turned off. This is idempotent between calls to bind and rebind; i.e. multiple calls to unbind will have only the effect of the first call.
    Specified by:
      `unbind` in interface `BindingUpdatable`

  - ### rebind

    public void rebind()
    Deprecated.
    Description copied from interface: `BindingUpdatable`
    Causes the current bindings to be reset. If the binding is not bound, it is a no-op. If the binding is bound, it will be turned off, then turned on against current values.
    Specified by:
      `rebind` in interface `BindingUpdatable`

  - ### propertyChange

    public void propertyChange​(java.beans.PropertyChangeEvent evt)
    Deprecated.
    Specified by:
      `propertyChange` in interface `java.beans.PropertyChangeListener`